Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157484 - CAN-2004-1880 openldap DoS
Summary: CAN-2004-1880 openldap DoS
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openldap
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Jay Turner
URL:
Whiteboard: impact=low,public=20030320,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-11 22:25 UTC by Josh Bressers
Modified: 2015-01-08 00:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-11 21:37:34 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-11 22:25:20 UTC
If slap_passwd_parse returns something != LDAP_SUCCESS the code tries to free
ndn->bv_val but this might be uninitialized and the server segfaults.

http://www.openldap.org/its/index.cgi?findid=2390

Comment 1 Josh Bressers 2005-05-11 22:25:55 UTC
This issue should also affect RHEL2.1


Note You need to log in before you can comment on or make changes to this bug.